#! /usr/bin/env bash

# Expects your essentials directory to live in your
# home directory.
#
# Deletes/overwrites all previous dotfiles.

rm -f $HOME/.bashrc
rm -f $HOME/.bash_profile
rm -rf $HOME/.emacs.d
rm -rf $HOME/.config/nvim
rm -f $HOME/.global_gitignore

sudo ln -s $HOME/essentials/dotfiles/bash/bashrc $HOME/.bashrc
sudo ln -s $HOME/essentials/dotfiles/bash/bash_profile $HOME/.bash_profile
sudo ln -s $HOME/essentials/dotfiles/emacs.d $HOME/.emacs.d
sudo ln -s $HOME/essentials/dotfiles/tmux.conf $HOME/.tmux.conf
sudo ln -s $HOME/essentials/dotfiles/config/nvim $HOME/.config/nvim
sudo ln -s $HOME/essentials/dotfiles/global_gitignore $HOME/.global_gitignore

if [[ "$OS_TYPE" == "gnu-linux" ]]; then
    sudo ln -s $HOME/essentials/bash/linuxrc $HOME/.linuxrc
fi

if [[ "$OS_TYPE" == "darwin"* ]]; then
    sudo ln -s $HOME/essentials/bash/macrc $HOME/.macrc
fi


sudo ln -s $HOME/essentials/dotfiles/bash/inputrc $HOME/.inputrc
