#!/usr/bin/bash

# TODO:
#   * Add a cache list of installed packages
#     so it doesnt go through the entire list each
#     time.
#
#   * Store last update date somehow so it doesn't
#     constantly update the system (perhaps only one update a day)
#
#   * Create a second script that links dotfiles properly
#

# Update system
#
sudo pacman -Syyu

# Packages - Add stuff you want installed here
#
PACKAGES=( "yay"              # Better package manager     \
           "inconsolata-ttf"  # Inconsolata font           \
	   "irssi"            # Simply the best IRC client \
	   "emacs"                                         \
	   "llvm"                                          \
           "clang"                                         \
	   "neovim"                                        \
	   "pyenv"                                         \
	   "python"                                        \
         )

# Put AUR packages here
#
YAY_PACKAGES=( "nordvpn-bin"      # Nice manager for NordVPN \
               "meson"            # Cool build tool          \
               "ninja"            # Meson's friend           \
	       "global"           # GNU source tagging       \
	       "cmake"            # CMake build system       \
	       "pyenv-virtualenv"                            \
	       "gnuradio"                                    \
	       "gqrx"                                        \
	       "rlwrap"           # readline wrapper         \
             )

# First install essential packages
#
echo Installing essential packages...
for package in "${PACKAGES[@]}"
do
	sudo pacman -Syu $package
done

# Now yay packages - which can use AUR
for package in "${YAY_PACKAGES[@]}"
do
	yay -Syu $package
done

# Here do any extra configuration

echo Launching NordVPN service...
sudo systemctl enable nordvpnd.service
sudo systemctl start nordvpnd.service

# OTHER STUFF HERE

echo Please run the dotfile script and restart your system...
