;; <f1> is a mode bind for compile/eval based on language
(global-unset-key (kbd "<f1>"))

(global-unset-key (kbd "<f2>"))

;; Load up swiper search with C-s
(global-set-key "\C-s" 'swiper)

;; High powered fuzzy searching for large projects using
;; projectile--find-file.
(global-set-key (kbd "C-x f") 'projectile--find-file)

;; Ivy
(global-set-key (kbd "C-c C-r") 'ivy-resume)

;; Switch windows with M-o
(global-set-key (kbd "M-o") 'other-window)

;; Bind pytest in python mode to M-p
(define-key python-mode-map (kbd "M-p") 'python-pytest-file)

;; Git - Magit
(global-set-key (kbd "C-x g") 'magit-status)

;; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Lisp Binds ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

;; Note: SLIME bindings require slime to be running.

;; Press <f1> in lisp mode to evaluate the buffer in SLIME
(define-key lisp-mode-map (kbd "<f1>") 'slime-eval-buffer)

;; Press <f2> in lisp mode to evaluate the current defun in SLIME.
(define-key lisp-mode-map (kbd "<f2>") 'slime-eval-defun)

;; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


(with-eval-after-load 'counsel-gtags
  (define-key counsel-gtags-mode-map (kbd "M-t") 'counsel-gtags-find-definition)
  (define-key counsel-gtags-mode-map (kbd "M-r") 'counsel-gtags-find-reference)
  (define-key counsel-gtags-mode-map (kbd "M-s") 'counsel-gtags-find-symbol)
  (define-key counsel-gtags-mode-map (kbd "M-,") 'counsel-gtags-go-backward))
