# Alias
if [[ "$OS_TYPE" != "gnu-linux" ]]; then
  alias python='python3'
fi

# rlwrap provides readline wrapping for programs.
# This alias makes the SBCL REPL usable.
alias sbcl='rlwrap sbcl'

# Useful git aliases
alias gita='git add'
alias gitap='git add -p'
alias gitc='git commit'
alias gitp='git push'
alias gits='git status'
alias gitd='git diff'

alias k8='kubectl'

# Good overrides

alias ls='ls --color=auto'
alias grep='grep --colour=auto'
alias egrep='egrep --colour=auto'
alias fgrep='fgrep --colour=auto'

# Don't nuke the computer
alias rm='rm -i'

# Confirm before overwriting
alias cp='cp -i'

# Default free to sizes in megabytes
alias free='free -m'

# Better ls - lists more information for each file
alias ll='ls -lh'

# Less is a better more
alias more=less

# df in human readable sizes
alias df='df -h'

# I use Neovim
if [ -x "$(command -v nvim)" ]; then
  alias vim=nvim
fi

# Human readable ls for the current directory
if [[ "$OS_TYPE" != "gnu-linux" ]]; then
    # OS X lt
    alias lt='du -sh * | sort -h'
else
    alias lt='ls --human-readable --size -1 -S --classify'
fi


# Count files in the current directory
alias count='find . -type f | wc -l'

# Generate sha1 hashes on the fly
alias sha1='openssl sha1'
