#!/bin/zsh

if [[ "$OSTYPE" == "linux-gnu" ]]; then
	export PATH=/usr/local/bin:$PATH
	export PYENV_ROOT="$HOME/.pyenv"
	export PATH="$PYENV_ROOT/bin:$PATH"

	# For whatever reason the linux version of pyenv doesnt install `pyenv-virtualenv-init`.
	eval "$(pyenv init -)"
	eval "$(pyenv virtualenv-init -)"
fi

if which pyenv-virtualenv-init > /dev/null; then
	export PATH=/usr/local/bin:$PATH
	export PYENV_ROOT="$HOME/.pyenv"
	export PATH="$PYENV_ROOT/bin:$PATH"
	eval "$(pyenv init -)"
	eval "$(pyenv virtualenv-init -)"
fi


if hash pyenv 2>/dev/null; then
  export PYENV_ROOT="$HOME/.pyenv"
  command -v pyenv >/dev/null || export PATH="$PYENV_ROOT/bin:$PATH"
  eval "$(pyenv init -)"
fi


# RVM configuration
[[ -s "$HOME/.rvm/scripts/rvm" ]] && . "$HOME/.rvm/scripts/rvm"
