# Manjaro Fixes

## VMWare Workstation

### VMWare Tools Adaptive Display Resolution Does not Work with Manjaro Guest

On install Manjaro will have `open-vmware-tools` installed and running. However, this package appears to be *mostly* unmaintained
and doesn't seem to work out of the box. 

#### Reproducing 

Type the following commands 

```bash
sudo systemctl stop vmtoolsd.service
sudo systemctl start vmtoolsd.service
sudo systemctl restart vmtoolsd.service
```

The first two commands may not be necessary but I chose to completely bring it back down and up before restarting. After the
restart your screen resolution should adapt. If this is the case, apply the following fix to make it permanent:

#### Fix

```bash
sudo vi /usr/lib/systemd/system/vmtoolsd.service
```

and then in this section

```bash
[Unit]
Description=VMware Tools
ConditionVirtualization=vmware
```

Add the following line at the end 

```bash
After=display-manager.service
```

So that it looks like: 

```bash
[Unit]
Description=VMware Tools
ConditionVirtualization=vmware
After=display-manager.service
```

and restart your guest. You should see the display adapt.